package com.tuoheng.admin.dto;

import lombok.Data;

/**
 * @Author ChengWang
 * @Date 2023/4/15
 */
@Data
public class AirportMsgDto {

    /**
     * 机场id
     */
    private String id;

    /**
     * 机场代码
     */
    private String code;

    /**
     * 机场名称
     */
    private String name;

    /**
     * 经度
     */
    private String lon;

    /**
     * 纬度
     */
    private String lat;

    /**
     * 机场运行状态：
     *  1,2 舱门（命令接收，动作完成）
     *  3,4 升降器（命令接收，动作完成）
     *  5,6 固定器（命令接收，动作完成）
     *  7,8 出舱（命令接收，动作完成）
     *  9,10 回舱（命令接收，动作完成）
     *  11 任务中
     *  12 返航中
     *  13 悬停中
     */
    private String status;

    /**
     * 环境温度
     */
    private String Tmp;

    /**
     * 舱内温度
     */
    private String ACDTmp;

    /**
     * 舱内湿度%
     */
    private String Hum;

    /**
     * 风速m
     */
    private String WSPD;

    /**
     * 降雨量，单位mm
     */
    private String Rainfull;

    /**
     * 可飞行时间min
     */
    private String allflytime;

    /**
     * rtk数
     */
    private String rtk;

    /**
     * gps数
     */
    private String gps;

    /**
     * 电池电量%
     */
    private String battery;

    /**
     * 充电状态：true：充电，false：空闲
     */
    private String chgrStatus;

    /**
     * 机库内部视频地址
     */
    private String innerLiveUrl;

    /**
     * 机库外部视频地址
     */
    private String outLiveUrl;

    /**
     * 无人机直播地址
     */
    private String cameraUrl;

    /**
     * 相机code
     */
    private String cameraCode;

    /**
     * 相机名称
     */
    private String cameraName;

    /**
     * 无人机code
     */
    private String droneCode;

    /**
     * 无人机名称
     */
    private String droneName;

}
