package com.tuoheng.admin.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentFontStyle;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import com.alibaba.excel.converters.url.UrlImageConverter;
import lombok.Data;

import java.net.URL;

@Data
@HeadRowHeight(30)
@ContentRowHeight(180)
@ContentFontStyle()
public class InspectionFileExportExcelDto {

    /**
     * 序号
     */
    @ExcelProperty(value = {"列号"}, index = 0)
    private Integer sequence;

    /**
     * 问题类型
     */
    @ExcelProperty(value = {"问题类型"}, index = 1)
    private String questionName;

    /**
     * 问题图片
     */
    @ExcelProperty(value = {"问题图片"}, index = 2, converter = UrlImageConverter.class)
    private URL fileOriginal;

    /**
     * 标注图片
     */
    @ExcelProperty(value = {"标注图片"}, index = 3, converter = UrlImageConverter.class)
    private URL fileImage;

    /**
     * 位置
     */
    @ExcelProperty(value = {"位置"}, index = 4)
    private String location;

    /**
     * 所属路段
     */
    @ExcelProperty(value = {"所属路段"}, index = 5)
    private String roadName;

    /**
     * 所属高速
     */
    @ExcelProperty(value = {"所属高速"}, index = 6)
    private String sectionName;

    /**
     * 状态：5待确认 10已忽略 15已确认 20已生成工单 25问题已处理
     */
    @ExcelProperty(value = {"状态"}, index = 7)
    private String status;

}
