package com.tuoheng.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tuoheng.admin.entity.Accident;
import com.tuoheng.admin.request.accident.QueryAccidentCardListRequest;
import com.tuoheng.admin.request.accident.QueryAccidentCardPageListRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author ChengWang
 * @Date 2023/3/2
 */
public interface AccidentMapper extends BaseMapper<Accident> {

    /**
     * 查询事故分页列表
     *
     * @param request 事故查询实体
     * @return 事故集合
     */
    Page<Accident> selectPageList(@Param("page") IPage page, @Param("request") QueryAccidentCardPageListRequest request);

    /**
     * 查询事故分页列表
     *
     * @param request 事故查询实体
     * @return 事故集合
     */
    List<Accident> selectAccidentCardList(@Param("request") QueryAccidentCardListRequest request);

}
