package com.tuoheng.admin.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tuoheng.admin.entity.InspectionCycle;
import com.tuoheng.admin.request.cycle.QueryInspectionCyclePageListRequest;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 周期任务表 Mapper 接口
 * </p>
 *
 * @author 拓恒
 * @since 2021-10-15
 */
@Repository
public interface InspectionCycleMapper extends BaseMapper<InspectionCycle> {

    /**
     * 查询周期任务分页列表
     *
     * @param page
     * @param request
     * @return
     */
    Page<InspectionCycle> selectPageList(@Param("page") IPage page, @Param("request") QueryInspectionCyclePageListRequest request);

    /**
     * 修改周期任务状态
     *
     * @param inspectionCycle 巡检任务
     * @return 结果
     */
    int updateEnable(InspectionCycle inspectionCycle);

}
