package com.tuoheng.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tuoheng.admin.entity.InspectionFile;
import com.tuoheng.admin.entity.IotEquipment;
import com.tuoheng.admin.request.inspectionfile.QueryInspectionFilePageListByInspectionIdRequest;
import com.tuoheng.admin.request.iotequipment.QueryIotEquipmentListRequest;
import com.tuoheng.admin.request.iotequipment.QueryIotEquipmentPageListRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 物联设备
 *
 * @author 拓恒
 * @since 2023-11-25
 */
public interface IotEquipmentMapper extends BaseMapper<IotEquipment> {

    /**
     * 查询物联设备分页列表
     *
     * @param request 物联设备查询实体
     * @return 巡检物联设备集合
     */
    Page<IotEquipment> selectPageList(@Param("page") IPage page, @Param("request") QueryIotEquipmentPageListRequest request);

    /**
     * 查询物联设备列表
     *
     * @param request 巡检任务查询实体
     * @return 巡检任务集合
     */
    List<IotEquipment> selectList(@Param("request") QueryIotEquipmentListRequest request);

}
