package com.tuoheng.admin.request.inspection;

import com.tuoheng.common.core.common.BaseQuery;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;

/**
 * 查询巡检任务请求实体
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-17
 */
@Data
public class QueryInspectionPageListRequest extends BaseQuery {

    /**
     * 任务编号
     */
    private String code;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 巡检机场id
     */
    private Integer airportId;

    /**
     * 巡检线路Id
     */
    private Integer inspectionLine;

    /**
     * 巡检任务类型: 0:周期巡检 1： 临时巡检 2： 应急巡检
     */
    private Integer type;

    /**
     * 任务状态
     */
    private List<Integer> statusList;

    /**
     * 巡检方式类型: 1 无人机 2机场巡逻 3 飞手值飞
     */
    private Integer inspectionType;

    /**
     * 部门Id
     */
    private String deptId;

    /**
     * 部门及子部门Id列表
     */
    private List<String> deptIdList;

    /**
     * 租户Id
     */
    private String tenantId;

    /**
     * 周期性任务Id
     */
    private String  inspectionCycleId;

    /**
     * 计划巡检开始时间
     */
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private String inspectionTimeBegin;

    /**
     * 计划巡检截止时间
     */
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private String inspectionTimeEnd;

    /**
     * 单次任务标识（0：否、1：是），单次任务只查询“待执行”状态的单次任务
     */
    private Integer singleTask;

    /**
     * 实际巡检开始时间
     */
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private String executionTimeBegin;

    /**
     * 实际巡检截止时间
     */
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private String executionTimeEnd;
}
