package com.tuoheng.admin.service.airportline;

import com.tuoheng.admin.entity.AirportLine;
import com.tuoheng.admin.mapper.AirportLineMapper;
import com.tuoheng.admin.service.airportline.info.QueryAirportLineInfoService;
import com.tuoheng.common.core.common.BaseServiceImpl;
import com.tuoheng.common.core.utils.JsonResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Author suqin
 * @Date 2023/12/13
 */
@Service
@Slf4j
public class AirportLineServiceImpl extends BaseServiceImpl<AirportLineMapper, AirportLine> implements IAirportLineService {
    @Autowired
    private QueryAirportLineInfoService queryAirportLineInfoService;

    /**
     * 查询航线信息
     *
     * @param id 航线Id
     * @return
     */
    @Override
    public JsonResult getInfoById(Integer id) {
        return queryAirportLineInfoService.getInfo(id);
    }

}
