package com.tuoheng.admin.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class IotEquipmentVo extends BaseEntity {

    /**
     * 主键ID
     */
    private String id;

    /**
     * 租户id
     */
    private String tenantId;

    /**
     * 部门id
     */
    private String deptId;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 设备编码
     */
    private String code;

    /**
     * 设备名称
     */
    private String name;

    /**
     * 公路ID
     */
    private String roadId;

    /**
     * 公路名称
     */
    private String roadName;

    /**
     * 路段ID
     */
    private String sectionId;

    /**
     * 路段范围
     */
    private String sectionRange;


    /**
     * 位置
     */
    private String location;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 监控播放地址
     */
    private String playUrl;

    /**
     * 状态：0:禁用;1:启用;
     */
    private Integer status;

    /**
     * 添加人
     */
    private String createUser;

    /**
     * 用户真实姓名
     */
    private String createUsername;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新人
     */
    private String updateUser;

    /**
     * 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 有效标识
     */
    private Integer mark;

}