package com.tuoheng.admin.vo.accident;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;


import java.util.Date;

/**
 * 事故详情 返回实体类
 * @Author ChengWang
 * @Date 2023/3/9
 */
@Data
public class AccidentDetailsVo {

    /**
     * 事故经度
     */
    private String longitude;

    /**
     * 事故纬度
     */
    private String latitude;

    /**
     * 监管部分
     */
    private String deptName;

    /**
     * 任务机场
     */
    private String AirPortName;

    /**
     * 事故发生公路
     */
    private String roadCode;

    /**
     * 所属公路范围路段
     */
    private String sectionRange;

    /**
     * 所属路段范围id
     */
    private String sectionId;

    /**
     * 事故任务id
     */
    private String accidentInspectionId;

    /**
     * 巡检任务id
     */
    private String inspectionId;

    /**
     * 任务执行时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date executionStartTime;

    /**
     * 发现事件任务名称
     */
    private String inspectionName;

    /**
     * 任务结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date executionEndTime;

    //核实报告
    /**
     * 死亡/受伤 是否有伤亡：0:无；1：有
     */
    private Integer isCasualties;

    /**
     * 是否影响驾驶安全：0:无；1：有
     */
    private Integer isDrivingSafety;

    /**
     * 是否有明火：0:无；1：有
     */
    private Integer isFire;

    /**
     * 现场情况描述
     */
    private String record;

    /**
     * 巡检任务问题id
     */
    private String inspectionFileId;

    /**
     * 问题缩略图
     */
    private String fileThumbnail;

    /**
     * 问题原图
     */
    private String fileOriginal;

    /**
     * 问题标记图
     */
    private String fileImage;

    /**
     * 任务现场视频url
     */
    private String aiVideoUrl;


}
