package com.tuoheng.admin.vo.accident;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 事件对象
 *
 * @team tuoheng
 * @author wanjing
 * @date 2023-03-03
 */
@Data
public class AccidentVo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 部门id
     */
    private String deptId;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 部门负责人
     */
    private String departmentHead;

    /**
     * 部门负责人联系方式
     */
    private String departmentHeadTelephone;

    /**
     * 巡检任务id
     */
    private String inspectionId;

    /**
     * 巡检任务问题ID
     */
    private String inspectionFileId;

    /**
     * 应急任务ID
     */
    private String accidentInspectionId;

    /**
     * 公路id
     */
    private String roadId;

    /**
     * 公路编码
     */
    private String roadCode;

    /**
     * 路段ID
     */
    private String sectionId;

    /**
     * 路段名称
     */
    private String sectionName;

    /**
     * 问题ID
     */
    private String questionId;

    /**
     * 问题编码
     */
    private String questionCode;

    /**
     * 问题名称
     */
    private String questionName;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 位置信息
     */
    private String location;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 标记图
     */
    private String fileImage;

    /**
     * 缩略图
     */
    private String fileThumbnail;

    /**
     * 原图
     */
    private String fileOriginal;


    /**
     * 事故状态：1未处理 2处理中 3已忽略 4已处理
     */
    private Integer status;

    /**
     * 巡检任务状态 5任务待飞行 7飞行失败 10任务飞行中 15任务飞行完成
     */
    private Integer inspectionStatus;

}
