package com.tuoheng.admin.vo.cycle;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 周期任务
 *
 * @author suqin
 * @team tuoheng
 * @date 2023-08-25
 */
@Data
public class InspectionCycleVo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 部门ID
     */
    private String deptId;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 任务编号
     */
    private String code;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 巡检公路id
     */
    private String roadId;

    /**
     * 巡检路段id
     */
    private String sectionId;

    /**
     * 巡检机场id
     */
    private Integer airportId;

    /**
     * 巡检机场名称
     */
    private String airportName;

    /**
     * 航线id
     */
    private Integer airportLineId;

    /**
     * 航线id
     */
    private String airportLineName;

    /**
     * 航线长度
     */
    private Double airportLineLength;

    /**
     * 航线url
     */
    private String airportLineFileUrl;

    /**
     * 巡检无人机id
     */
    private Integer droneId;

    /**
     * 执行类型：1,单次;2,每天; 5,每周;6,每月
     */
    private Integer type;

    /**
     * 单次执行时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date singleTime;

    /**
     * 每天执行时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date everydayTime;

    /**
     * 循环执行时间
     */
    @DateTimeFormat(pattern = "HH:mm:ss")
    @JsonFormat(pattern = "HH:mm:ss", timezone = "GMT+8")
    private Date cycleTime;

    /**
     * 循环下次执行时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date cycleNextTime;

    /**
     * 循环频率：1~7,每周；1~31,每月;多个以引文逗号分隔
     */
    private String cycleFrequency;

    /**
     * 循环开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date cycleStartTime;

    /**
     * 循环结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date cycleEndTime;

    /**
     * 是否启用: 1：禁用; 1：启用(默认);
     */
    private Integer isEnable;

    /**
     * 备注
     */
    private String note;

    /**
     * 执行次数
     */
    private Integer executCount;

    /**
     * 创建人名称
     */
    private String createUserName;

    /**
     * 更新人名称
     */
    private String updateUsername;
}
