package com.tuoheng.miniprogram.service.wx;

import cn.hutool.core.util.ObjectUtil;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.tuoheng.common.core.config.common.CommonConfig;
import com.tuoheng.common.core.utils.JsonResult;
import com.tuoheng.common.core.utils.StringUtils;
import com.tuoheng.miniprogram.dao.UserAuthorizeMapper;
import com.tuoheng.miniprogram.dao.UserMapper;
import com.tuoheng.miniprogram.entity.User;
import com.tuoheng.miniprogram.entity.UserAuthorize;
import com.tuoheng.miniprogram.entity.wx.WxMessageRequest;
import com.tuoheng.miniprogram.enums.MarkEnum;
import com.tuoheng.miniprogram.service.wx.bind.WeiXinBindService;
import com.tuoheng.miniprogram.service.wx.check.WeiXinCheckAuthorizeService;
import com.tuoheng.miniprogram.service.wx.send.WeiXinSendMessageService;
import com.tuoheng.miniprogram.utils.CurrentUserUtil;
import com.tuoheng.miniprogram.utils.GetOpenIdUtil;
import com.tuoheng.miniprogram.vo.WxAuthorizeVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Author ChengWang
 * @Date 2023/6/23
 */
@Service
@Slf4j
public class WxServiceImpl implements IWxService {

    @Autowired
    private UserAuthorizeMapper userAuthorizeMapper;

    @Autowired
    private UserMapper userMapper;

    @Autowired
    private WeiXinCheckAuthorizeService weiXinCheckAuthorizeService;

    @Autowired
    private WeiXinBindService weiXinBindService;

    @Autowired
    private WeiXinSendMessageService weiXinSendMessageService;

    @Override
    public JsonResult checkAuthorize(String code) {
       return weiXinCheckAuthorizeService.checkAuthorize(code);
    }

    /**
     * 根据code获取openId
     *
     * @param code
     * @return
     */
    @Override
    public JsonResult openId(String code) {
        log.info("进入获取openId接口, code={}", code);
        return weiXinBindService.bind(code);
    }

    /**
     * 发送消息
     *
     * @param wxMessageRequest
     * @return
     */
    @Override
    public JsonResult sendMessage(WxMessageRequest wxMessageRequest) {
        return weiXinSendMessageService.sendMessage(wxMessageRequest);
    }

}
